Bug 1009154 - The yum man page yum(8) contains misformatted 'swap' command examples
The yum man page yum(8) contains misformatted 'swap' command examples
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 16:17 EDT by "FeRD" (Frank Dana)
Modified: 2013-10-08 07:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: yum-3.4.3-111.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:32:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description "FeRD" (Frank Dana) 2013-09-17 16:17:35 EDT
Description of problem:
The yum(8) man page documentation for yum's 'swap' command contains a series of example commands. However, these commands are not properly marked up in the manpage source, resulting in misformatted output.

Version-Release number of selected component (if applicable):
yum-3.4.3-106.fc19.noarch

Actual results:
============
Examples:

swap  foo  bar  swap -- remove foo -- install bar swap foo group install bar-grp swap -- group remove foo-grp  --  group  install bar-grp
============

Expected results:
============
Examples:

swap foo bar
swap -- remove foo -- install bar
swap foo group install bar-grp
swap -- group remove foo-grp -- group install bar-grp
============

Additional info:
Looking at the troff source in /usr/share/man/man8/yum.8, the list of examples is (un)formatted in the source (lines 372-375) thus:

swap foo bar
swap -- remove foo -- install bar
swap foo group install bar-grp
swap -- group remove foo-grp -- group install bar-grp

Using similar lists from elsewhere in the source as an example, the commands should be marked up as:

.br
.I \fR swap foo bar
.br
.I \fR swap -- remove foo -- install bar
.br
.I \fR swap foo group install bar-grp
.br
.I \fR swap -- group remove foo-grp -- group install bar-grp
.br
Comment 1 Zdeněk Pavlas 2013-09-19 08:26:45 EDT
Thanks, fixed in HEAD.
Comment 2 Fedora Update System 2013-10-07 07:14:05 EDT
yum-3.4.3-111.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-111.fc19
Comment 3 Fedora Update System 2013-10-08 07:32:34 EDT
yum-3.4.3-111.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.